View Issue Details

IDProjectCategoryView StatusLast Update
0001597ArchBugpublic2014-09-17 23:10
ReporteryorikAssigned Toyorik 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version0.15Fixed in Version 
Summary0001597: Arch - Remove windows movement from walls/structures code
DescriptionMovement of windows together with their walls should happen inside the move/rotate code (add a children gathering function), not inside the walls/struct code, otherwise it gets triggered everytime the placement gets recomputed, such as on file load
TagsNo tags attached.

Relationships

parent of 0001732 closedyorik Windows and wall with negative height 

Activities

There are no notes attached to this issue.

Related Changesets

FreeCAD: master 552c0b3a

2014-09-18 00:39:54

yorik

Details Diff
Arch: fixed window movements - fixes 0001597 Affected Issues
0001597
mod - src/Mod/Arch/ArchWall.py Diff File
mod - src/Mod/Arch/ArchWindow.py Diff File
mod - src/Mod/Draft/Draft.py Diff File

Issue History

Date Modified Username Field Change
2014-07-07 21:46 yorik New Issue
2014-07-07 21:46 yorik Status new => assigned
2014-07-07 21:46 yorik Assigned To => yorik
2014-07-07 21:47 yorik Project FreeCAD => Arch
2014-09-05 14:43 yorik Relationship added parent of 0001732
2014-09-17 23:10 yorik Changeset attached => FreeCAD Master master 552c0b3a
2014-09-17 23:10 yorik Status assigned => closed
2014-09-17 23:10 yorik Resolution open => fixed